<?php
function lamiz_register_menu_item_cpt() {
    $labels = array(
        'name'               => 'آیتم‌های منو',
        'singular_name'      => 'آیتم منو',
        'add_new'            => 'افزودن آیتم جدید',
        'add_new_item'       => 'افزودن آیتم منوی جدید',
        'edit_item'          => 'ویرایش آیتم منو',
        'all_items'          => 'همهٔ آیتم‌های منو',
        'menu_name'          => 'منو',
    );
    $args = array(
        'labels'             => $labels,
        'public'             => true,
        'has_archive'        => false,
        'show_in_rest'       => true,
        'supports'           => array('title','editor','thumbnail','custom-fields'),
        'menu_icon'          => 'dashicons-carrot',
    );
    register_post_type('menu_item', $args);

    register_taxonomy(
        'menu_section',
        'menu_item',
        array(
            'labels' => array(
                'name'          => 'بخش‌های منو',
                'singular_name' => 'بخش منو',
            ),
            'hierarchical' => true,
            'show_in_rest' => true,
        )
    );
}
add_action('init', 'lamiz_register_menu_item_cpt');

function lamiz_enqueue_styles() {
    wp_enqueue_style('lamiz-style', get_stylesheet_uri());
}
add_action('wp_enqueue_scripts', 'lamiz_enqueue_styles');
?>